<div class="front_page_section front_page_section_about<?php
	$albertino_scheme = albertino_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $albertino_scheme ) && ! albertino_is_inherit( $albertino_scheme ) ) {
		echo ' scheme_' . esc_attr( $albertino_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( albertino_get_theme_option( 'front_page_about_paddings' ) );
	if ( albertino_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$albertino_css      = '';
		$albertino_bg_image = albertino_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $albertino_bg_image ) ) {
			$albertino_css .= 'background-image: url(' . esc_url( albertino_get_attachment_url( $albertino_bg_image ) ) . ');';
		}
		if ( ! empty( $albertino_css ) ) {
			echo ' style="' . esc_attr( $albertino_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$albertino_anchor_icon = albertino_get_theme_option( 'front_page_about_anchor_icon' );
	$albertino_anchor_text = albertino_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $albertino_anchor_icon ) || ! empty( $albertino_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $albertino_anchor_icon ) ? ' icon="' . esc_attr( $albertino_anchor_icon ) . '"' : '' )
									. ( ! empty( $albertino_anchor_text ) ? ' title="' . esc_attr( $albertino_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( albertino_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' albertino-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$albertino_css           = '';
			$albertino_bg_mask       = albertino_get_theme_option( 'front_page_about_bg_mask' );
			$albertino_bg_color_type = albertino_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $albertino_bg_color_type ) {
				$albertino_bg_color = albertino_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $albertino_bg_color_type ) {
				$albertino_bg_color = albertino_get_scheme_color( 'bg_color', $albertino_scheme );
			} else {
				$albertino_bg_color = '';
			}
			if ( ! empty( $albertino_bg_color ) && $albertino_bg_mask > 0 ) {
				$albertino_css .= 'background-color: ' . esc_attr(
					1 == $albertino_bg_mask ? $albertino_bg_color : albertino_hex2rgba( $albertino_bg_color, $albertino_bg_mask )
				) . ';';
			}
			if ( ! empty( $albertino_css ) ) {
				echo ' style="' . esc_attr( $albertino_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$albertino_caption = albertino_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $albertino_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $albertino_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $albertino_caption, 'albertino_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$albertino_description = albertino_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $albertino_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $albertino_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $albertino_description ), 'albertino_kses_content' ); ?></div>
				<?php
			}

			// Content
			$albertino_content = albertino_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $albertino_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $albertino_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$albertino_page_content_mask = '%%CONTENT%%';
					if ( strpos( $albertino_content, $albertino_page_content_mask ) !== false ) {
						$albertino_content = preg_replace(
							'/(\<p\>\s*)?' . $albertino_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$albertino_content
						);
					}
					albertino_show_layout( $albertino_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
