<?php
/**
 * The template to display default site footer
 *
 * @package ALBERTINO
 * @since ALBERTINO 1.0.10
 */

$albertino_footer_id = albertino_get_custom_footer_id();
$albertino_footer_meta = get_post_meta( $albertino_footer_id, 'trx_addons_options', true );
if ( ! empty( $albertino_footer_meta['margin'] ) ) {
	albertino_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( albertino_prepare_css_value( $albertino_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $albertino_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $albertino_footer_id ) ) ); ?>
						<?php
						$albertino_footer_scheme = albertino_get_theme_option( 'footer_scheme' );
						if ( ! empty( $albertino_footer_scheme ) && ! albertino_is_inherit( $albertino_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $albertino_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'albertino_action_show_layout', $albertino_footer_id );
	?>
</footer><!-- /.footer_wrap -->
