<div class="front_page_section front_page_section_subscribe<?php
	$albertino_scheme = albertino_get_theme_option( 'front_page_subscribe_scheme' );
	if ( ! empty( $albertino_scheme ) && ! albertino_is_inherit( $albertino_scheme ) ) {
		echo ' scheme_' . esc_attr( $albertino_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( albertino_get_theme_option( 'front_page_subscribe_paddings' ) );
	if ( albertino_get_theme_option( 'front_page_subscribe_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$albertino_css      = '';
		$albertino_bg_image = albertino_get_theme_option( 'front_page_subscribe_bg_image' );
		if ( ! empty( $albertino_bg_image ) ) {
			$albertino_css .= 'background-image: url(' . esc_url( albertino_get_attachment_url( $albertino_bg_image ) ) . ');';
		}
		if ( ! empty( $albertino_css ) ) {
			echo ' style="' . esc_attr( $albertino_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$albertino_anchor_icon = albertino_get_theme_option( 'front_page_subscribe_anchor_icon' );
	$albertino_anchor_text = albertino_get_theme_option( 'front_page_subscribe_anchor_text' );
if ( ( ! empty( $albertino_anchor_icon ) || ! empty( $albertino_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_subscribe"'
									. ( ! empty( $albertino_anchor_icon ) ? ' icon="' . esc_attr( $albertino_anchor_icon ) . '"' : '' )
									. ( ! empty( $albertino_anchor_text ) ? ' title="' . esc_attr( $albertino_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_subscribe_inner
	<?php
	if ( albertino_get_theme_option( 'front_page_subscribe_fullheight' ) ) {
		echo ' albertino-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$albertino_css      = '';
			$albertino_bg_mask  = albertino_get_theme_option( 'front_page_subscribe_bg_mask' );
			$albertino_bg_color_type = albertino_get_theme_option( 'front_page_subscribe_bg_color_type' );
			if ( 'custom' == $albertino_bg_color_type ) {
				$albertino_bg_color = albertino_get_theme_option( 'front_page_subscribe_bg_color' );
			} elseif ( 'scheme_bg_color' == $albertino_bg_color_type ) {
				$albertino_bg_color = albertino_get_scheme_color( 'bg_color', $albertino_scheme );
			} else {
				$albertino_bg_color = '';
			}
			if ( ! empty( $albertino_bg_color ) && $albertino_bg_mask > 0 ) {
				$albertino_css .= 'background-color: ' . esc_attr(
					1 == $albertino_bg_mask ? $albertino_bg_color : albertino_hex2rgba( $albertino_bg_color, $albertino_bg_mask )
				) . ';';
			}
			if ( ! empty( $albertino_css ) ) {
				echo ' style="' . esc_attr( $albertino_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_subscribe_content_wrap content_wrap">
			<?php
			// Caption
			$albertino_caption = albertino_get_theme_option( 'front_page_subscribe_caption' );
			if ( ! empty( $albertino_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_subscribe_caption front_page_block_<?php echo ! empty( $albertino_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $albertino_caption, 'albertino_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$albertino_description = albertino_get_theme_option( 'front_page_subscribe_description' );
			if ( ! empty( $albertino_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_subscribe_description front_page_block_<?php echo ! empty( $albertino_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $albertino_description ), 'albertino_kses_content' ); ?></div>
				<?php
			}

			// Content
			$albertino_sc = albertino_get_theme_option( 'front_page_subscribe_shortcode' );
			if ( ! empty( $albertino_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_subscribe_output front_page_block_<?php echo ! empty( $albertino_sc ) ? 'filled' : 'empty'; ?>">
				<?php
					albertino_show_layout( do_shortcode( $albertino_sc ) );
				?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
