<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package ALBERTINO
 * @since ALBERTINO 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$albertino_copyright_scheme = albertino_get_theme_option( 'copyright_scheme' );
if ( ! empty( $albertino_copyright_scheme ) && ! albertino_is_inherit( $albertino_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $albertino_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$albertino_copyright = albertino_get_theme_option( 'copyright' );
			if ( ! empty( $albertino_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$albertino_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $albertino_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$albertino_copyright = albertino_prepare_macros( $albertino_copyright );
				// Display copyright
				echo wp_kses( nl2br( $albertino_copyright ), 'albertino_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
