<?php
/**
 * The template to display the background video in the header
 *
 * @package ALBERTINO
 * @since ALBERTINO 1.0.14
 */
$albertino_header_video = albertino_get_header_video();
$albertino_embed_video  = '';
if ( ! empty( $albertino_header_video ) && ! albertino_is_from_uploads( $albertino_header_video ) ) {
	if ( albertino_is_youtube_url( $albertino_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $albertino_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php albertino_show_layout( albertino_get_embed_video( $albertino_header_video ) ); ?></div>
		<?php
	}
}
